org.apache.tapestry5.corelib

## Enum SubmitMode

- java.lang.Object
- - java.lang.Enum<SubmitMode>
  - - org.apache.tapestry5.corelib.SubmitMode

- All Implemented Interfaces:
    Serializable, Comparable<SubmitMode>

      public enum SubmitMode
      extends Enum<SubmitMode>

  Defines the client and server-side behavior of a `Submit` or `LinkSubmit` component.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` Cancel the form; bypass form validation on both the client and the server.
    `NORMAL` Submit the form normally, with full validation on the client and server side.
    `UNCONDITIONAL` Submits the form, bypassing client-side validation, but performing all normal server-side processing (including validation).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubmitMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SubmitMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final SubmitMode NORMAL

      Submit the form normally, with full validation on the client and server side.

    - #### CANCEL

          public static final SubmitMode CANCEL

      Cancel the form; bypass form validation on both the client and the server. The `Form` fires the `EventConstants.CANCELED` event. If the event handler for that event allows the submission to proceed, then server-side validation still occurs on the server, though generally the data is discarded by the event listener (listening to the Submit component's `EventConstants.SELECTED` event).

    - #### UNCONDITIONAL

          public static final SubmitMode UNCONDITIONAL

      Submits the form, bypassing client-side validation, but performing all normal server-side processing (including validation).
      Since:
        5.3.3

  - ### Method Detail

    - #### values

          public static SubmitMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubmitMode c : SubmitMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubmitMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.